Bug 177933

Summary: Make the names of the options consistent
Product: WebKit Reporter: Robin Morisset <rmorisset>
Component: JavaScriptCoreAssignee: Robin Morisset <rmorisset>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Fixed none

Description Robin Morisset 2017-10-05 05:43:52 PDT
Currently, some options to JSC use the ByteCode spelling, while others use the Bytecode spelling.
I will make all of them take the Bytecode spelling, and keep some alias with the old spelling for backwards compatibility.
Comment 1 Robin Morisset 2017-10-05 06:41:20 PDT
Created attachment 322833 [details]
Patch
Comment 2 Saam Barati 2017-10-05 09:06:43 PDT
Comment on attachment 322833 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=322833&action=review

r=me with comments and when you fix the build

> Source/JavaScriptCore/ChangeLog:3
> +        Rename verboseDFGByteCodeParsing in verboseDFGBytecodeParsing

This should be the bugzilla bug name

The prepare ChangeLog script takes a “-b” option that’ll fill this out for you

> Source/WebCore/ChangeLog:3
> +        Fix typos in comments

This should be the bugzilla name
Comment 3 Robin Morisset 2017-10-05 11:07:26 PDT
Created attachment 322861 [details]
Fixed
Comment 4 Saam Barati 2017-10-08 17:47:56 PDT
Comment on attachment 322861 [details]
Fixed

r=me still
FYI for future patches, you don't need to ask for a review again if I r+ before with some comments.
Comment 5 Robin Morisset 2017-10-09 09:21:58 PDT
Comment on attachment 322861 [details]
Fixed

Putting it in the co;;it queue.
Comment 6 WebKit Commit Bot 2017-10-09 09:49:18 PDT
Comment on attachment 322861 [details]
Fixed

Clearing flags on attachment: 322861

Committed r223047: <http://trac.webkit.org/changeset/223047>
Comment 7 WebKit Commit Bot 2017-10-09 09:49:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Radar WebKit Bug Importer 2017-10-09 09:50:31 PDT
<rdar://problem/34887358>